Package net.shibboleth.idp.plugin.authn.webauthn.policy.impl

# Class FunctionalRuleContext

java.lang.Object
net.shibboleth.idp.plugin.authn.webauthn.policy.impl.FunctionalRuleContext

public class FunctionalRuleContext extends Object
A context class that provides access to the `ProfileRequestContext` and `FidoMetadataService` from `BiFunctions` that implement registration or authentication rules.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final com.yubico.fido.metadata.FidoMetadataService`
`metadataService`
The stored FIDO metadata service.
`private final ProfileRequestContext`
`profileRequestContext`
The stored profile request context.

## Constructor Summary

Constructors
Constructor
Description
`FunctionalRuleContext(ProfileRequestContext prc, com.yubico.fido.metadata.FidoMetadataService metadata)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`com.yubico.fido.metadata.FidoMetadataService`
`getMetadataService()`
Get the metadata service.
`ProfileRequestContext`
`getProfileRequestContext()`
Get the profile request context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### profileRequestContext

@Nonnull private final ProfileRequestContext profileRequestContext
The stored profile request context.

### metadataService

@Nullable private final com.yubico.fido.metadata.FidoMetadataService metadataService
The stored FIDO metadata service.

## Constructor Details

### FunctionalRuleContext

public FunctionalRuleContext(@Nonnull ProfileRequestContext prc, @Nullable com.yubico.fido.metadata.FidoMetadataService metadata)
Constructor.

Parameters:
  `prc` - the stored profile request context
  `metadata` - the stored metadata service

## Method Details

### getMetadataService

@Nullable public com.yubico.fido.metadata.FidoMetadataService getMetadataService()
Get the metadata service.

Returns:
  the metadata service.

### getProfileRequestContext

@Nonnull public ProfileRequestContext getProfileRequestContext()
Get the profile request context.

Returns:
  the profile request context.